Subject: bug#23233: 25.0.92; Crash after doing much work in Proof General

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 07 Apr 2016 00:13:05 +0200

John Wiegley <[email-masked]> writes:

>>>>>> Eli Zaretskii <[email-masked]> writes:
>
>> with minor variations.  This starts from running a hook:
>
>>     frame #28069: 0x000000010033072c Emacs`run_hook_with_args + 1308
>>     frame #28070: 0x00000001003301f4 Emacs`Frun_hook_with_args + 36
>>     frame #28071: 0x00000001003301bf Emacs`run_hook + 31
>>     frame #28072: 0x0000000100330177 Emacs`Frun_hooks + 55
>
>> so maybe one of your hooks incurs infinite recursion?
>
> I suppose it's always possible, but I wonder then why I don't see this more
> often. I'll look for recursions the next time it happens. For now, I'll keep
> Emacs under lldb with full debugging (which does make it noticeably slower).

Well, an infinite hook recursion still shouldn't make Emacs crash.

The backtrace reminded me a bit about the known gc recursion bug that I
can't remember the recipe for right now -- it was something about if you
(setcar foo foo), then Emacs will segfault when trying to gc?  I forget
the details, but it's in the debbugs somewhere.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no